<template src="./template.html"></template>

<script lang="ts">
import { getModule } from "nuxt-property-decorator";
import { Vue, Component, Prop, Watch } from "vue-property-decorator";
import CountryFlag from "vue-country-flag";
import axios from "axios";
import AdminGalleryModule from "~/store/adminGallery";
@Component({
	components: {
		MediaPicker: () => import("./MediaPicker/index.vue"),
	},
})
export default class AdminGalleryComponent extends Vue {
	adminGallery = getModule(AdminGalleryModule, this.$store);

	isShowUploadPhoto = false;

	search = "";

	gallery = {
		tagId: "",
		file: null,
	};

	openUploadImage() {
		this.$store.commit("adminGallery/setValueBoolane", {
			status: true,
			type: "isUploadImage",
		});
	}

	onSelectImage() {
		//@ts-ignore
		this.$refs.fileImage.$refs.input.click();
	}
	onChangeImage(e: any) {
		if (e && e.type.includes("image/")) {
			this.gallery.file = e;
		}
	}

	dragover(event: any) {
		event.preventDefault();
		// Add some visual fluff to show the user can drop its files
		//   if (!event.currentTarget.classList.contains('bg-green-300')) {
		//     event.currentTarget.classList.remove('bg-gray-100');
		//     event.currentTarget.classList.add('bg-green-300');
		//   }
	}
	dragleave(event: any) {
		// Clean up
		//   event.currentTarget.classList.add('bg-gray-100');
		//   event.currentTarget.classList.remove('bg-green-300');
	}
	drop(event: any) {
		event.preventDefault();
		//@ts-ignore
		this.$refs.fileImage.files = event.dataTransfer.files;
		//@ts-ignore
		this.gallery.file = this.$refs.fileImage.files[0];
	}
}
</script> 

<style src="./style.css"></style>
